# getMaxWorkerCount

abstract fun getMaxWorkerCount(): Int

Returns the maximum number of concurrent workers used for underlying build operations. Workers can be threads, processes or whatever Gradle considers a "worker". Some examples:

- A thread running a task
- A test process
- A language compiler in a forked process

Defaults to the number of processors available to the Java virtual machine.

#### Return

maximum number of concurrent workers, always >= 1.

#### See also

Runtime